package io.xjar;

import java.io.OutputStream;
import java.io.InputStream;
import java.io.IOException;
import java.io.File;
import io.xjar.key.XKey;

public abstract class XWrappedEncryptor implements XEncryptor
{
    protected final XEncryptor xEncryptor;
    
    protected XWrappedEncryptor(final XEncryptor xEncryptor) {
        this.xEncryptor = xEncryptor;
    }
    
    @Override
    public void encrypt(final XKey key, final File src, final File dest) throws IOException {
        this.xEncryptor.encrypt(key, src, dest);
    }
    
    @Override
    public void encrypt(final XKey key, final InputStream in, final OutputStream out) throws IOException {
        this.xEncryptor.encrypt(key, in, out);
    }
    
    @Override
    public InputStream encrypt(final XKey key, final InputStream in) throws IOException {
        return this.xEncryptor.encrypt(key, in);
    }
    
    @Override
    public OutputStream encrypt(final XKey key, final OutputStream out) throws IOException {
        return this.xEncryptor.encrypt(key, out);
    }
}
